<script>
    
    import { arc, radialArea } from "d3-shape";
    import { scaleLinear, scaleRadial } from "d3-scale";
    import { extent } from "d3-array";

    
    export let data = [];
    export let city;

    
    const width = 600;
    const height = 250;
    const margin = { top: 10, right: 10, bottom: 10, left: 10 };
    const innerWidth = width - margin.left - margin.right;
    const innerHeight = height - margin.top - margin.bottom;

    
    let rad = 50;
    let white_space = 5;

    
    data = data.filter(d => d.city == city);


    const xsc = scaleLinear()
        .range([0, 2 * Math.PI])
        .domain(extent(data, d => d.day_of_year))

    
    const ysc_heating = scaleRadial()
        .range([0, rad])
        .domain(extent(data, d => d.heating))
    
    const ysc_cooling = scaleRadial()
        .range([0, rad])
        .domain(extent(data, d => d.cooling))


    const cooling_fill = radialArea()
        .angle(d => xsc(d.day_of_year))
        .innerRadius(0)
        .outerRadius(d => ysc_cooling(d.cooling))

    const heating_fill = radialArea()
        .angle(d => xsc(d.day_of_year))
        .innerRadius(0)
        .outerRadius(d => ysc_heating(d.heating))


</script>
<svg viewBox="0 0 {width/3} {height}" style="max-width: {width/3}px">
    <g transform="translate({margin.left}, {margin.top})">
        <g transform="translate(0,20)">
            <text class="title" x="50%" text-anchor="middle">{city} <br/></text>
        </g>
        <g transform="translate({width/6},125)">
            <circle cx=0 cy=0 r={rad + white_space} fill=white fill-opacity=1 stroke="black"/> 

            <line x1=0 y1={-(rad+white_space)} x2=0 y2={rad+white_space} stroke="black" stroke-width=1/>
            <line x1={-(rad+white_space)} y1=0 x2={rad+white_space} y2=0 stroke="black" stroke-width=1/>

            <path d={cooling_fill(data)} fill="cornflowerblue" stroke="cornflowerblue" fill-opacity=0.2 stroke-opacity=0.8/>
            <path d={heating_fill(data)} fill="darkred" stroke="darkred" fill-opacity=0.2 stroke-opacity=0.8/>

            <text class="legend" transform="translate(0,{-(rad+white_space+10)})">0</text>
            <text class="legend" transform="translate({(rad+white_space+8)},0)">3</text>
            <text class="legend" transform="translate(0,{(rad+white_space+10)})">6</text>
            <text class="legend" transform="translate({-(rad+white_space+8)},0)">9</text>
        </g>
    </g>
</svg>


<style>
    .title{
        font-family: Courier 20px serif;
    }
    text.legend{
        text-anchor: middle;
        font:  11px serif;
        
    }
</style>